summarylogtreecommitdiffstats
path: root/c89
diff options
context:
space:
mode:
Diffstat (limited to 'c89')
-rw-r--r--c8912
1 files changed, 12 insertions, 0 deletions
diff --git a/c89 b/c89
new file mode 100644
index 000000000000..1845ae3f292d
--- /dev/null
+++ b/c89
@@ -0,0 +1,12 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi | -std=c89 | -std=iso9899:1990) fl="" ;;
+ -std=*)
+ echo "$(basename $0) called with non ANSI/ISO C option $opt" >&2
+ exit 1
+ ;;
+ esac
+done
+exec gcc-${_ver} $fl ${1+"$@"}